-module(test).
-export([test/0]).

test() ->
	case regexp:matches("abc", "b") of
  		{match, [{St, Len}]} -> use(St, Len);
		{match, Matches} -> [use(St, Len) || {St, Len} <- Matches]
	end.	

use(A,B) ->
	{A,B}.
